package jrummikub.view;

import java.util.ArrayList;
import java.util.List;

import jrummikub.util.GameData;
import jrummikub.util.IEvent;
import jrummikub.util.IEvent1;
import jrummikub.util.MockEvent;
import jrummikub.util.MockEvent1;

/** */
public class MockGameListPanel implements IGameListPanel {
	/**	*/
	public MockEvent1<GameData> joinEvent = new MockEvent1<GameData>();
	/** */
	public MockEvent openNewGameEvent = new MockEvent();
	/** */
	public MockEvent cancelEvent = new MockEvent();
	/** */
	public List<GameData> gameList = new ArrayList<GameData>();
	/** */
	public String channelName;

	@Override
	public IEvent getOpenNewGameEvent() {
		return openNewGameEvent;
	}

	@Override
	public IEvent getCancelEvent() {
		return cancelEvent;
	}

	@Override
	public IEvent1<GameData> getJoinEvent() {
		return joinEvent;
	}

	@Override
	public void setChannelName(String name) {
		channelName = name;
	}

	@Override
	public void setGameList(List<GameData> games) {
		gameList = games;
	}

}
